import type { IQueryDefinition } from "../types/base-declarations";
declare type IDictionaryAttr = {
    [key: string]: any;
};
declare type IQueryConditions = {
    xExpressionAttributeValues: IDictionaryAttr;
    xExpressionAttributeNames: IDictionaryAttr;
    xFilterExpression: string;
};
export declare abstract class DynamoFilterQueryOperation {
    private operation__filterFieldExist;
    private operation__filterFieldNotExist;
    protected __helperFilterBasic({ fieldName, val, conditionExpr, }: {
        fieldName: string;
        conditionExpr: string;
        val: string | number;
    }): IQueryConditions;
    private operation__filterIn;
    private operation__filterContains;
    private operation__filterBetween;
    private operation__filterBeginsWith;
    private operation__translateAdvancedQueryOperation;
    private operation_translateBasicQueryOperation;
    protected __helperDynamoFilterOperation({ queryDefs, projectionFields, }: {
        queryDefs: IQueryDefinition<any>["query"];
        projectionFields: any[] | undefined | null;
    }): {
        expressionAttributeValues: IDictionaryAttr | undefined;
        filterExpression: string;
        projectionExpressionAttr: string | undefined;
        expressionAttributeNames: IDictionaryAttr | undefined;
    };
}
export {};
