/// <reference types="hapi__joi" />
import { ISecondaryIndexDef } from "../types/base-types";
import { DynamoDataOperation } from "../core/dynamo-data-operation";
import Joi from "@hapi/joi";
interface IBaseRepoOptions<T> {
    schemaSubDef: Joi.SchemaMap;
    segmentPartitionValue: string;
    secondaryIndexOptions: ISecondaryIndexDef<T>[];
}
export declare abstract class BaseRepository<T> extends DynamoDataOperation<T> {
    constructor({ schemaSubDef, secondaryIndexOptions, segmentPartitionValue, }: IBaseRepoOptions<T>);
}
export {};
