"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MyDynamoConnection = void 0;

var _loggingService = require("../helpers/logging-service.js");

var _awsSdk = _interopRequireWildcard(require("aws-sdk"));

var _dynamodb = require("aws-sdk/clients/dynamodb");

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var DynamoConnectionBase = /*#__PURE__*/function () {
  function DynamoConnectionBase() {
    _classCallCheck(this, DynamoConnectionBase);

    _defineProperty(this, "_dynamoDbClient", void 0);

    _defineProperty(this, "_dynamoDb", void 0);

    var region = "us-west-2";

    _awsSdk["default"].config.update({
      region: region
    });

    var options = {
      apiVersion: "2012-08-10",
      region: region
    };
    this._dynamoDb = new _awsSdk.DynamoDB(options);
    this._dynamoDbClient = new _dynamodb.DocumentClient(options);

    _loggingService.LoggingService.log("Initialized DynamoDb, region: ".concat(region));
  }

  _createClass(DynamoConnectionBase, [{
    key: "dynamoDbInst",
    value: function dynamoDbInst() {
      return this._dynamoDb;
    }
  }, {
    key: "dynamoDbClientInst",
    value: function dynamoDbClientInst() {
      return this._dynamoDbClient;
    }
  }]);

  return DynamoConnectionBase;
}();

var MyDynamoConnection = new DynamoConnectionBase();
exports.MyDynamoConnection = MyDynamoConnection;