export interface ISecondaryIndexDef<T> {
    indexName: string;
    keyFieldName: keyof T;
    sortFieldName: keyof T;
    dataType: "N" | "S";
    projectionFieldsInclude?: (keyof T)[];
}
export declare type ISecondaryIndexDefDictionary<T, TKeys> = {
    [P in keyof TKeys]: ISecondaryIndexDef<T>;
};
